uuid: ccde64b0-699b-4544-9fc1-ed004894e041
langcode: en
status: true
dependencies:
  module:
    - islandora_audio
_core:
  default_config_hash: 6U9n1QpQPJT-lyb2JcaUQoO2Smavono2NgTtbrW7eBM
id: audio_generate_a_service_file_from_an_original_file
label: 'Audio - Generate a service file from an original file'
type: node
plugin: generate_audio_derivative
configuration:
  queue: islandora-connector-homarus
  event: 'Generate Derivative'
  destination_media_type: audio
  source_term_uri: 'http://pcdm.org/use#OriginalFile'
  derivative_term_uri: 'http://pcdm.org/use#ServiceFile'
  mimetype: audio/mpeg
  args: '-codec:a libmp3lame -q:a 5'
  scheme: public
  path: '[date:custom:Y]-[date:custom:m]/[node:nid]-[term:name].mp3'
